Functions

# lnx-ms.h File Reference

Go to the source code of this file.

## Functions
pointer | msLinuxCreatePrivate (DeviceIntPtr pMouse)
void | msLinuxDestroyPrivate (pointer priv)
void | msLinuxRead (DevicePtr pDev, dmxMotionProcPtr motion, dmxEnqueueProcPtr enqueue, dmxCheckSpecialProcPtr checkspecial, DMXBlockType block)
void | msLinuxInit (DevicePtr pDev)
void | msLinuxGetInfo (DevicePtr pDev, DMXLocalInitInfoPtr info)
int | msLinuxOn (DevicePtr pDev)
void | msLinuxOff (DevicePtr pDev)
void | msLinuxCtrl (DevicePtr pDev, PtrCtrl *ctrl)
void | msLinuxVTPreSwitch (pointer p)
void | msLinuxVTPostSwitch (pointer p)

## Detailed Description

Interface to Linux MS mouse driver.

See also:
  lnx-ms.c

## Function Documentation

pointer msLinuxCreatePrivate | ( | DeviceIntPtr | pMouse | ) |

Create a private structure for use within this file.

References _myPrivate::fd, and _myPrivate::pMouse.

void msLinuxCtrl | ( | DevicePtr | pDev,
|  | PtrCtrl * | ctrl |
| ) |  |  |

void msLinuxDestroyPrivate | ( | pointer | priv | ) |

Destroy a private structure.

void msLinuxGetInfo | ( | DevicePtr | pDev,
|  | DMXLocalInitInfoPtr | info |
| ) |  |  |

Fill the info structure with information needed to initialize pDev.

References _DMXLocalInitInfo::buttonClass, _DMXLocalInitInfo::map, _DMXLocalInitInfo::maxres, _DMXLocalInitInfo::maxval, _DMXLocalInitInfo::minres, _DMXLocalInitInfo::minval, msLinuxGetMap(), _DMXLocalInitInfo::numButtons, _DMXLocalInitInfo::numRelAxes, _DMXLocalInitInfo::ptrFeedbackClass, _DMXLocalInitInfo::res, and _DMXLocalInitInfo::valuatorClass.

void msLinuxInit | ( | DevicePtr | pDev | ) |

Initialize pDev.

References FATAL1, and O_NONBLOCK.

Referenced by msLinuxOn().

void msLinuxOff | ( | DevicePtr | pDev | ) |

Turn pDev off (i.e., stop taking input from pDev).

int msLinuxOn | ( | DevicePtr | pDev | ) |

Turn pDev on (i.e., take input from pDev).

References FATAL1, and msLinuxInit().

void msLinuxRead | ( | DevicePtr | pDev,
|  | dmxMotionProcPtr | motion,
|  | dmxEnqueueProcPtr | enqueue,
|  | dmxCheckSpecialProcPtr | checkspecial,
|  | DMXBlockType | block |
| ) |  |  |

void msLinuxVTPostSwitch | ( | pointer | p | ) |

Currently unused hook called after returning from a VT switch.

void msLinuxVTPreSwitch | ( | pointer | p | ) |

Currently unused hook called prior to an VT switch.